const el = document.createElement("style");
el.innerHTML = `/* General Background */
* {
  font-family: 'OpenDyslexicMono Nerd Font', monospace !important;
}
body,
div[class^="sidebar"],
div[class^="channelList"],
div[class^="chatContent"] {
    background-color: #ffe4e1 !important; /* Light pink background */
}

span[class*="timestamp"] {
  font-size: 10px !important;
}

/* Set text color for messages, labels, etc. */
div[class^="message"], span, p, h1, h2, h3, h4, h5, h6 {
    color: #db7093 !important;
}

/* Style the sidebar */
div[class^="sidebar"] {
    background-color: #db7093 !important;
    color: #ffffff !important;
}

/* Set the server and channel list background */
div[class^="channelList"] {
    background-color: #db7093 !important;
    color: #ffffff !important;
}

/* Set the server icons */
svg[class^="icon-"] {
    opacity: 0.8 !important;
}

/* Set message text color */
div[class^="message"] span,
span[class^="username"] {
    color: #db7093 !important;
    letter-spacing: 0.5px !important;
}

/* Set input box background and text */
textarea[class^="input"] {
    background-color: #ffe4e1 !important; /* Light pink background */
    color: #db7093 !important;
    font-family: 'OpenDyslexicMono Nerd Font', monospace !important;
    border: 1px solid #db7093 !important;
}

/* Set button background and text */
button {
    background-color: #db7093 !important;
    color: #ffffff !important;
    border: 2px solid #ffffff !important;
    padding: 6px 12px !important;
    border-radius: 6px !important;
}

button:hover {
    background-color: #ffe4e1 !important; /* Light pink background */
    color: #db7093 !important;
    border-color: #db7093 !important;
}

.theme-light {
  /* Text */
  --text-normal: #a86373;
  --header-primary: #a86373;
  --interactive-normal: #a86373;
  --channels-default: #a86373;

  --text-muted: #a86373;
  --interactive-muted: #cf92a0;

  --header-secondary: #cf92a0;
  --interactive-hover: #be7d8c;
  --interactive-active: #b36f7f;

  /* Background color */
  --background-primary: #ffeeee;
  --background-secondary: #ffdddd;
  --background-secondary-alt: #fdc7c7;
  --background-tertiary: #ffbbbb;
  --background-floating: #ffbbbb;
  --background-accent: #c5536c;
  --channeltextarea-background: var(--background-secondary);
  --background-modifier-hover: rgba(56, 31, 31, 0.062);
  --background-modifier-active: rgba(19, 12, 12, 0.123);
  --background-modifier-selected: rgba(31, 21, 21, 0.11);

  /* Scrollbar */
  --scrollbar-auto-thumb: var(--background-tertiary);
  --scrollbar-auto-track: var(--background-secondary-alt);
  --scrollbar-thin-thumb: var(--background-tertiary);
  --scrollbar-thin-track: transparent;

  /* Other */
  --deprecated-quickswitcher-input-background: var(--background-primary);
}

`
const body = document.querySelector("body");
body.appendChild(el);